%bcond_with bootstrap

Summary:       Raw OCR Engine
Name:          tesseract
Version:       5.3.1
Release:       2%{?dist}
License:       Apache-2.0
URL:           https://github.com/tesseract-ocr/%{name}
Source0:       %{url}/archive/%{version}/%{name}-%{version}.tar.gz

Patch3000:     tesseract_cmake.patch
Patch3001:     tesseract_neon.patch

BuildRequires: cmake gcc-c++ giflib-devel leptonica-devel libicu-devel libjpeg-turbo-devel libtool
BuildRequires: libtiff-devel libwebp-devel pango-devel /usr/bin/asciidoc /usr/bin/xsltproc
%if %{without bootstrap}
Requires:      tesseract-langpack-eng
%endif

%description
A commercial quality OCR engine originally developed at HP between 1985 and 1995. In 1995, this
engine was among the top 3 evaluated by UNLV. It was open-sourced by HP and UNLV in 2005.

%package devel
Summary:       Development files for %{name}
Requires:      %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains header file for developing applications that use %{name}.

%package tools
Summary:       Training tools for %{name}
Requires:      %{name} = %{version}-%{release}

%description tools
The %{name}-tools package contains tools for training %{name}.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%cmake -DCMAKE_INSTALL_LIBDIR=%{_lib} -DTESSDATA_PREFIX=%{_datadir}/%{name}
%cmake_build

man_xslt=http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl
for file in doc/*.asc; do
    asciidoc -b docbook -d manpage -o - $file | XML_CATALOG_FILES=%{_sysconfdir}/xml/catalog xsltproc --nonet -o ${file/.asc/} $man_xslt -
done

%install
%cmake_install
mkdir -p %{buildroot}%{_mandir}/{man1,man5}/
cp -a doc/*.1 %{buildroot}%{_mandir}/man1/
cp -a doc/*.5 %{buildroot}%{_mandir}/man5/

%files
%license LICENSE
%doc AUTHORS ChangeLog README.md
%{_bindir}/%{name}
%{_libdir}/lib%{name}.so.%{version}
%{_datadir}/%{name}/
%{_mandir}/man1/tesseract.1*

%files devel
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/libcommon_training.a
%{_libdir}/libunicharset_training.a
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/%{name}.pc

%files tools
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%exclude %{_mandir}/man1/tesseract.1*
%exclude %{_bindir}/%{name}

%changelog
* Wed Aug 02 2023 kianli <kianli@tencent.com> - 5.3.1-2
- Rebuilt for libtiff 4.5.1

* Wed Jun 7 2023 Shuo Wang <abushwang@tencent.com> - 5.3.1-1
- update to v5.3.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.2.0-5
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.2.0-4
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 22 2023 Shuo Wang <abushwang@tencent.com> - 5.2.0-3
- update spec

* Wed Mar 22 2023 Shuo Wang <abushwang@tencent.com> - 5.2.0-2
- close bootstrap

* Tue Mar 21 2023 Shuo Wang <abushwang@tencent.com> - 5.2.0-1
- initial build
